Issue with In-place Upgrade to 12.7

Document ID : KB000015673
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

I am trying to do an In-place upgrade of a policy server from 12.52 SP01 to 12.7 on a Red Hat 6.8 Linux environment and I get the following error even though the Policy Server is running. How can I get past this error reported below? 

 

Policy Server is not running
---------------------------- 

 

The Policy Server must be running to execute this wizard, it will be stopped 

before the upgrade commences. 

 

Please start the Policy Server.

 

Environment:
Red Hat 6.8Policy Server R12.52 SP01
Answer:

Run the following command " ./smpolicysrv -stats " from the siteminder /bin folder 

 

If you get the following error "The specified server is not currently running" This means the siteminder .pipe files are missing or corrupt in /tmp folder of the OS. 

 

Run the stop and then start scripts for the policy server. After you have restarted the service check the .pipe files date/time has been updated. 

 

If the files are not updated, delete them and then stop and then start the policy server again. 

 

/tmp: (siteminder files)
GCL-SiteMinder-A.pipe
GCL-SiteMinder-B.pipe
GCL-SiteMinder.sem
snrrpni?{{?pip